/* Standard 74LS74 (1/2) Part
 * Michael Robinson 
 */

`timescale 1ns/10ps

module u74ls74( d, q, q_, s_, r_, clk );
input d;
input s_;
input r_;
input clk;

output q;
output q_;

reg q;
wire q_;

assign q_ = ~q;

always @( posedge clk or negedge s_ or negedge r_ )
begin
   if( s_ == 0 )
      q <= 1;
   else if( r_ == 0 )
      q <= 0;
   else
      q <= d;
end

endmodule