/* Standard 74LS175 part
 * Michael Robinson
 */

`timescale 1ns/10ps

module u74ls175( d, q, q_, mr_, clk );
input [3:0] d;
input mr_;
input clk;

output [3:0] q;
output [3:0] q_;

reg [3:0] q;
wire [3:0] q_;

assign q_ = ~q;

always @( posedge clk or negedge mr_ )
begin
   if( mr_ == 0 )
      q <= 0;
   else
      q <= d;
end

endmodule